Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.sword
Class CompressionType

    java.lang.Object
      org.crosswire.jsword.book.sword.CompressionType

All Implemented Interfaces:
  Serializable

    public abstract class CompressionType

extends Object
implements Serializable

Data about Compression types.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: CompressionType.java,v 1.6 2005/03/04 04:04:47 dmsmith Exp $
Author:
  Joe Walker [joe at eireneh dot com], DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`static CompressionType` | `COMPRESSION_LZSS` The level of compression is the Book
`static CompressionType` | `COMPRESSION_ZIP` The level of compression is the Book
`private String` | `name` The name of the CompressionType
`private static int` | `nextObj`
`private int` | `obj`
`private static CompressionType[]` | `VALUES`

Constructor Summary
`CompressionType(String name)` Simple ctor

Method Summary
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static CompressionType` | `fromInteger(int i)` Lookup method to convert from an integer
`static CompressionType` | `fromString(String name)` Lookup method to convert from a String
`(package private) abstract Backend` | `getBackend(SwordBookMetaData sbmd, File rootPath)`
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) abstract boolean` | `isSupported()` Returns whether this compression is implemented at this time.
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPRESSION_ZIP

    public static final CompressionType COMPRESSION_ZIP

  The level of compression is the Book

### COMPRESSION_LZSS

    public static final CompressionType COMPRESSION_LZSS

  The level of compression is the Book

### name

    private String name

  The name of the CompressionType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final CompressionType[] VALUES

Constructor Detail

### CompressionType

    public CompressionType(String name)

  Simple ctor

Method Detail

### isSupported

    abstract boolean isSupported()

  Returns whether this compression is implemented at this time.

  Returns:
    true if it is supported.

### getBackend

    abstract Backend getBackend(SwordBookMetaData sbmd,
                                File rootPath)
                         throws BookException

  Throws:
    `BookException`

### fromString

    public static CompressionType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static CompressionType fromInteger(int i)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD